<?php 
// Register Custom Post Type
function portfolio_type() {

	$labels = array(
		'name'                => 'نمونه کار ها',
		'singular_name'       => 'نمونه کار',
		'menu_name'           => 'نمونه کار',
		'parent_item_colon'   => 'مادر نمونه کار:',
		'all_items'           => 'تمام نمونه کار ها',
		'view_item'           => 'نمایش نمونه کار',
		'add_new_item'        => 'افزودن نمونه کار جدید',
		'add_new'             => 'نمونه کار جدید',
		'edit_item'           => 'ویرایش نمونه کار',
		'update_item'         => 'بروزرسانی نمونه کار',
		'search_items'        => 'جستجوی نمونه کار',
		'not_found'           => 'نمونه کاری پیدا نشد',
		'not_found_in_trash'  => 'هیچ نمونه کاری در سطل زباله نیست',
	);
	$args = array(
		'label'               => 'نمونه کار',
		'description'         => 'Portfolio items',
		'labels'              => $labels,
		'supports'            => array('title', 'editor', 'thumbnail', ),
		'taxonomies'          => array(),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'menu_icon'           => '',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'portfolio', $args );

}

// Hook into the 'init' action
add_action( 'init', 'portfolio_type', 0 );


// Register Custom Taxonomy
function genre_taxonomy()  {

	$labels = array(
		'name'                       => 'ژانر ها',
		'singular_name'              => 'ژانر',
		'menu_name'                  => 'ژانر',
		'all_items'                  => 'تمام ژانر ها',
		'parent_item'                => 'ژانر مادر',
		'parent_item_colon'          => 'ژانر مادر:',
		'new_item_name'              => 'نام ژانر جدید',
		'add_new_item'               => 'افزودن ژانر جدید',
		'edit_item'                  => 'ویرایش ژانر',
		'update_item'                => 'بروطرسانی ژانر',
		'separate_items_with_commas' => 'ژانر ها را با کاما از هم جدا کنید',
		'search_items'               => 'جستجوی ژانر ها',
		'add_or_remove_items'        => 'افزودن یا حذف ژانر',
		'choose_from_most_used'      => 'انتخاب از بین ژانر های بیشتر استفاده شده',
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'genre', 'portfolio', $args );

}

// Hook into the 'init' action
add_action( 'init', 'genre_taxonomy', 0 );







//-----------------//


function slide_type() {

	$labels = array(
		'name'                => 'اسلاید ها',
		'singular_name'       => 'اسلاید',
		'menu_name'           => 'اسلاید',
		'parent_item_colon'   => 'اسلاید مادر:',
		'all_items'           => 'تمام اسلایدها',
		'view_item'           => 'نمایش اسلاید',
		'add_new_item'        => 'افزودن اسلاید جدید',
		'add_new'             => 'اسلاید جیدد',
		'edit_item'           => 'ویرایش اسلاید',
		'update_item'         => 'بروزرسانی اسلاید',
		'search_items'        => 'جستجوی اسلاید ها',
		'not_found'           => 'اسلایدی پیدا نشد',
		'not_found_in_trash'  => 'اسلایدی در سطل زباله پیدا نشد',
	);
	$args = array(
		'label'               => 'اسلاید',
		'description'         => 'اسلایدشو',
		'labels'              => $labels,
		'supports'            => array('title', 'thumbnail', ),
		'taxonomies'          => array(),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'menu_icon'           => '',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'slide', $args );

}

// Hook into the 'init' action
add_action( 'init', 'slide_type', 0 );